Ponder.registry((event) => {
    event.create("eidolon:crucible").scene("crucible_scene", "Crucible crafting", (scene) => {

        scene.showStructure();
        
        scene.world.setBlocks([2, 2, 2], "eidolon:crucible");
        scene.world.setBlocks([2, 1, 2], "minecraft:campfire");

        scene.idle(10);

        scene.text(140, "The crucible is an interactive way to craft items. It needs to be placed over a heat source and filled with water.", [2, 2, 2])

        scene.idle(200);
        
        scene.text(80, "Each recipe is broken down into steps. When a step is completed correctly, the crucible water will change and a sound will play.", [2, 2, 2])

        scene.idle(100);
        
        scene.text(160, "Some recipes will require stirring during steps. This can be done by right clicking with an empty hand.", [2, 2, 2])
        
        scene.showControls(60, [2, 2, 2], "down").rightClick();

        scene.idle(60);
    });

});